## Script (Python) "blogtopic_getBatchSize"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=results, batchSize
##title=
##

# Return the size that the results batch that BlogTopic should display.
# This is batchSize unless the next entry in the results (that is, the first
# entry in the next batch) would have the same date as the last current entry,
# in which case the size is bumped until this is not the case.
# This allows the link to the next batch to work without weird URL arguments.

field = context.dateField
#XXX overshoot list

while (getattr(results[batchSize-1], field).parts()[0:3] ==
       getattr(results[batchSize], field).parts()[0:3]):
    batchSize = batchSize + 1

return map(lambda x:getattr(x, field), results)
